% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_replace_transit_gateway_route}
\alias{ec2_replace_transit_gateway_route}
\title{Replaces the specified route in the specified transit gateway route
table}
\usage{
ec2_replace_transit_gateway_route(DestinationCidrBlock,
  TransitGatewayRouteTableId, TransitGatewayAttachmentId, Blackhole,
  DryRun)
}
\arguments{
\item{DestinationCidrBlock}{[required] The CIDR range used for the destination match. Routing decisions are
based on the most specific match.}

\item{TransitGatewayRouteTableId}{[required] The ID of the route table.}

\item{TransitGatewayAttachmentId}{The ID of the attachment.}

\item{Blackhole}{Indicates whether traffic matching this route is to be dropped.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}
}
\value{
A list with the following syntax:\preformatted{list(
  Route = list(
    DestinationCidrBlock = "string",
    PrefixListId = "string",
    TransitGatewayAttachments = list(
      list(
        ResourceId = "string",
        TransitGatewayAttachmentId = "string",
        ResourceType = "vpc"|"vpn"|"direct-connect-gateway"|"connect"|"peering"|"tgw-peering"
      )
    ),
    Type = "static"|"propagated",
    State = "pending"|"active"|"blackhole"|"deleting"|"deleted"
  )
)
}
}
\description{
Replaces the specified route in the specified transit gateway route
table.
}
\section{Request syntax}{
\preformatted{svc$replace_transit_gateway_route(
  DestinationCidrBlock = "string",
  TransitGatewayRouteTableId = "string",
  TransitGatewayAttachmentId = "string",
  Blackhole = TRUE|FALSE,
  DryRun = TRUE|FALSE
)
}
}

\keyword{internal}
